from dataclasses import dataclass
from lib2to3.pgen2 import token
from threading import Timer
from time import time
from unittest.mock import sentinel
from django.db import models
from django.forms import JSONField


class Window(models.Model):

	parent           = models.ForeignKey('Window', on_delete=models.CASCADE, null=True)
	title		     = models.TextField()
	directory        = models.BooleanField(default=False)
	
class Tile(models.Model):

	window_id    	= models.ForeignKey('Window', on_delete=models.CASCADE)
	data            = models.JSONField(null=True)
	title        	= models.TextField()
	order        	= models.IntegerField()
	api_call     	= models.TextField()
	display_mode	= models.TextField()
	refresh_rate	= models.IntegerField(default=5000)
	options     	= models.TextField(blank=True)

class Event(models.Model):
	title		= models.TextField(blank=True)
	description	= models.TextField(blank=True)
	seen		= models.BooleanField(default=False)

class Token(models.Model):
	token		= models.TextField(blank=False)
	timestamp   = models.IntegerField(blank=False)