from multiprocessing import Event
from django.shortcuts import render
from rest_framework import serializers,viewsets
from .models import Window,Tile,Event,Token

# Defining serializers: 

class WindowSerializer(serializers.ModelSerializer):
	class Meta:
		model = Window
		fields = ('id', 'parent', 'title', 'directory')

class TileSerializer(serializers.ModelSerializer):
	class Meta:
		model = Tile
		fields = ('id', 'window_id', 'data', 'title', 'order', 'api_call', 'display_mode', 'refresh_rate', 'options') 

class EventSerializer(serializers.ModelSerializer):
	class Meta:
		model = Event
		fields = ('id', 'title', 'description', 'seen')

class TokenSerializer(serializers.ModelSerializer):
	class Meta:
		model = Token
		fields = ('id', 'token', 'timestamp')

# Defining views:

class WindowView(viewsets.ModelViewSet):
	serializer_class = WindowSerializer
	queryset		 = Window.objects.all()

class TileView(viewsets.ModelViewSet):
	serializer_class = TileSerializer
	queryset         = Tile.objects.all()

class EventView(viewsets.ModelViewSet):
	serializer_class = EventSerializer
	queryset		 = Event.objects.all()

class TokenView(viewsets.ModelViewSet):
	serializer_class = TokenSerializer
	queryset 		 = Token.objects.all()


		
